#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fims_version.tcl,v 2.43 2004/06/17 23:04:31 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# hummel  13/08/99  created
# aaguayo 12/12/00  if branch <39 && >0 return 0 (not a '1'). This means
#		    that upt to 40 days before the deadline the fims user 
#		    will be warned but he/she can still save files.  
# mkiekebu 2004-06-14    Fixed problem with dialog windows (RH9.0)
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#


proc fims_version { } { 
     # this proc reads its own source code and 
     # processes its 4th line 
     # result is version number, day, and time 
     global env

     set infile $env(FIMSROOT)/lib/libfimsPlugins.tcl/fims_version.tcl
     # puts stdout ">$infile<"
     if {[file exists $infile] & [file readable $infile]} {
        set fileId [open $infile r ]
        while { [gets $fileId line_org] >= 0} {
        if {[string match "*Id:*" $line_org]} {
           set new [split $line_org " " ]
           return [lrange $new 4 6]
           }
        }
      }
     return [list error error error]
    }

# --------------------------------
proc expire_date {} {
# --------------------------------
     global env

     set infile $env(FIMSROOT)/lib/fors/fims_deadline.asc
     # load the expiration date file 
     if {[file exists $infile] & [file readable $infile]} {
        set fileId [open $infile r ]
        while {[gets $fileId line_org] >= 0} {    
              set days_after_01012000 $line_org
              puts stdout $days_after_01012000
              }
        } else {
        # file not found
        puts stdout "problems with fims_deadline.asc"
        set days_after_01012000 1
        }


set today [expr ([exec date -u +%Y] - 2000) * 365  + [string trimleft [exec date -u +%j] "0"] ]

if {[expr $days_after_01012000-$today]<39 && 
    [expr $days_after_01012000-$today]>0} {
          info_dialog "FIMS V[lindex [eval fims_version]  0] will \n\n expire in [expr $days_after_01012000-$today] days" .skycat1
   return 0 }

if {[expr $days_after_01012000-$today]<0} {
   info_dialog "FIMS V[lindex [eval fims_version] 0] \n\n\is expired" .skycat1
   return 1 }

return 0
}


#
# ___oOo___



